# AyStar Struct Reference

## Data Fields
AyStar_CalculateG * | CalculateG
AyStar_CalculateH * | CalculateH
AyStar_GetNeighbours * | GetNeighbours
AyStar_EndNodeCheck * | EndNodeCheck
AyStar_FoundEndNode * | FoundEndNode
void * | user_path
void * | user_target
uint | user_data [10]
byte | loops_per_tick
uint | max_path_cost
uint | max_search_nodes
AyStarNode | neighbours [12]
byte | num_neighbours
AyStar_AddStartNode * | addstart
AyStar_Main * | main
AyStar_Loop * | loop
AyStar_Free * | free
AyStar_Clear * | clear
AyStar_CheckTile * | checktile
Hash | ClosedListHash
Queue | OpenListQueue
Hash | OpenListHash

## Detailed Description

Definition at line 115 of file aystar.h.

The documentation for this struct was generated from the following file:

- src/pathfinder/npf/aystar.h